Package org.eclipse.ecf.core

# Class ContainerCreateException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.core.runtime.CoreException
org.eclipse.ecf.core.util.ECFException
org.eclipse.ecf.core.ContainerCreateException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ContainerIntentException`

public class ContainerCreateException extends ECFException
Exception thrown during container creation

See Also:
  - `ContainerFactory.createContainer(ContainerTypeDescription, Object[])`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ContainerCreateException()`
`ContainerCreateException(String message)`
`ContainerCreateException(String message, Throwable cause)`
`ContainerCreateException(Throwable cause)`
`ContainerCreateException(org.eclipse.core.runtime.IStatus status)`

## Method Summary

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ContainerCreateException

public ContainerCreateException(org.eclipse.core.runtime.IStatus status)

### ContainerCreateException

public ContainerCreateException()

### ContainerCreateException

public ContainerCreateException(String message)

### ContainerCreateException

public ContainerCreateException(Throwable cause)

### ContainerCreateException

public ContainerCreateException(String message, Throwable cause)